[ 
https://issues.apache.org/jira/browse/AMBARI-21668?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Andrii Tkach updated AMBARI-21668:
----------------------------------
    Status: Patch Available  (was: Open)

> PATCH Repositories Not Visible in Web Client
> --------------------------------------------
>
>                 Key: AMBARI-21668
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21668
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-web
>    Affects Versions: 2.5.3
>            Reporter: Andrii Tkach
>            Assignee: Andrii Tkach
>            Priority: Blocker
>             Fix For: 2.5.3
>
>         Attachments: AMBARI-21668.patch
>
>
> STR:
> - Install a cluster with HDFS an ZK on 2.5.0.0
> - Register a VDF for a {{PATCH}} repository for 2.5.4.0 for ZK and Storm
> The web client doesn't display this repository anywhere. The API is 
> representing the data correctly:
> {code:title=GET api/v1/clusters/c1/stack_versions}
> {
>   "href" : "http://localhost:8080/api/v1/clusters/c1/stack_versions";,
>   "items" : [
>     {
>       "href" : "http://localhost:8080/api/v1/clusters/c1/stack_versions/1";,
>       "ClusterStackVersions" : {
>         "cluster_name" : "c1",
>         "id" : 1,
>         "repository_version" : 1,
>         "stack" : "HDP",
>         "version" : "2.5"
>       }
>     },
>     {
>       "href" : "http://localhost:8080/api/v1/clusters/c1/stack_versions/2";,
>       "ClusterStackVersions" : {
>         "cluster_name" : "c1",
>         "id" : 2,
>         "repository_version" : 2,
>         "stack" : "HDP",
>         "version" : "2.5"
>       }
>     }
>   ]
> }
> {code}
> {code:title=GET 
> api/v1/stacks/HDP/versions/2.5/compatible_repository_versions?fields=CompatibleRepositoryVersions/repository_version}
> {
>   "href" : 
> "http://localhost:8080/api/v1/stacks/HDP/versions/2.5/compatible_repository_versions?fields=CompatibleRepositoryVersions/repository_version";,
>   "items" : [
>     {
>       "href" : 
> "http://localhost:8080/api/v1/stacks/HDP/versions/2.5/compatible_repository_versions/1";,
>       "CompatibleRepositoryVersions" : {
>         "id" : 1,
>         "repository_version" : "2.5.0.0-1237",
>         "stack_name" : "HDP",
>         "stack_version" : "2.5",
>         "upgrade_types" : [
>           "NON_ROLLING",
>           "HOST_ORDERED",
>           "ROLLING"
>         ]
>       }
>     },
>     {
>       "href" : 
> "http://localhost:8080/api/v1/stacks/HDP/versions/2.5/compatible_repository_versions/2";,
>       "CompatibleRepositoryVersions" : {
>         "id" : 2,
>         "repository_version" : "2.5.4.0-121",
>         "stack_name" : "HDP",
>         "stack_version" : "2.5",
>         "upgrade_types" : [
>           "NON_ROLLING",
>           "HOST_ORDERED",
>           "ROLLING"
>         ]
>       }
>     }
>   ]
> }
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Reply via email to